Bug 975058 - "Missing driver" error when setting up IPP printer queue (missing pstopxl)
Summary: "Missing driver" error when setting up IPP printer queue (missing pstopxl)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 14:18 UTC by Aaron Sowry
Modified: 2013-07-24 03:26 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.4.1-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 03:26:52 UTC


Attachments (Terms of Use)

Description Aaron Sowry 2013-06-17 14:18:46 UTC
Description of problem:
Setting up a new IPP printer queue results in an error message:

Printer 'io' requires the '/usr/lib/cups/filter/pstopxl' program but it is not currently installed.  Please install it before using this printer.

AFAIK this filter has been renamed to "gstopxl" in the ghostscript package for quite some time.

Version-Release number of selected component (if applicable):
system-config-printer-1.4.1-6.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add new IPP printer via system-config-printers
2.
3.

Additional info:
I realise that the actual bug is probably further down in the stack (perhaps in CUPS, or even a missing pstoxpl->gstopxl symlink in ghostscript), feel free to reassign if this is the case.

Comment 1 Jiri Popelka 2013-06-17 14:49:50 UTC
Can you attach PPD file (named io.ppd I guess) from /etc/cups/ppd/ ?

Comment 2 Aaron Sowry 2013-06-17 15:57:18 UTC
/etc/cups/ppd/ is empty. Perhaps I should have mentioned that I configured the printer by specifying a URL.

Anyway, in the PPD file on the printserver (RHEL 5.9) I notice:

*cupsFilter:    "application/vnd.cups-postscript 100 pstopxl"
*cupsFilter:    "application/vnd.cups-pdf 0 pstopxl"

Ergo, PEBKAC :)

Comment 3 Tim Waugh 2013-06-17 15:59:53 UTC
Ah... system-config-printer should only check local PPDs, but it seems like it checked a remote one here.

Comment 4 Tim Waugh 2013-06-18 15:04:35 UTC
Should be fixed upstream in commit aad2dbc.

Comment 5 Fedora Update System 2013-07-02 12:55:19 UTC
system-config-printer-1.4.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-8.fc19

Comment 6 Fedora Update System 2013-07-03 01:36:26 UTC
Package system-config-printer-1.4.1-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12150/system-config-printer-1.4.1-8.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-07-24 03:26:52 UTC
system-config-printer-1.4.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.